Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class RenderLiving

    java.lang.Object
      net.minecraft.src.Render
          net.minecraft.src.RenderLiving

Direct Known Subclasses:
  RenderBat, RenderBiped, RenderBlaze, RenderChicken, RenderCow, RenderCreeper, RenderDragon, RenderEnderman, RenderGhast, RenderGiantZombie, RenderIronGolem, RenderMagmaCube, RenderMooshroom, RenderOcelot, RenderPig, RenderPlayer, RenderSheep, RenderSilverfish, RenderSlime, RenderSnowMan, RenderSpider, RenderSquid, RenderVillager, RenderWitch, RenderWither, RenderWolf

    public class RenderLiving

extends Render

Constructor Summary
`RenderLiving(ModelBase par1ModelBase, float par2)`

Method Summary
`void` | `doRender(Entity par1Entity, double par2, double par4, double par6, float par8, float par9)` Actually renders the given argument.
`void` | `doRenderLiving(EntityLiving par1EntityLiving, double par2, double par4, double par6, float par8, float par9)`
`void` | `setRenderPassModel(ModelBase par1ModelBase)` Sets the model to be used in the current render pass (the first render pass is done after the primary model is rendered) Args: model

Methods inherited from class net.minecraft.src.Render
`doRenderShadowAndFire, getFontRendererFromRenderManager, renderAABB, renderOffsetAABB, setRenderManager`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenderLiving

    public RenderLiving(ModelBase par1ModelBase,
                        float par2)

Method Detail

### setRenderPassModel

    public void setRenderPassModel(ModelBase par1ModelBase)

  Sets the model to be used in the current render pass (the first render pass is done after the primary model is rendered) Args: model

### doRenderLiving

    public void doRenderLiving(EntityLiving par1EntityLiving,
                               double par2,
                               double par4,
                               double par6,
                               float par8,
                               float par9)

### doRender

    public void doRender(Entity par1Entity,
                         double par2,
                         double par4,
                         double par6,
                         float par8,
                         float par9)

  Actually renders the given argument. This is a synthetic bridge method, always casting down its argument and then handing it off to a worker function which does the actual work. In all probabilty, the class Render is generic (Render
  Specified by:
    `doRender` in class `Render`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD